<div class="textbox">

	<h3>Beispiel-Textbaustein</h3>

	<p>Dies ist ein wiederverwendbarer Textbaustein. Sein Inhalt wird zentral gepflegt, d.h. Änderungen werden in allen Artikeln, in denen er eingebunden ist, sofort sichtbar.</p>

<p>Textbausteine können beliebige Inhalte haben, also z.B. Links oder Bilder, aber auch PHP-Code, etwa folgende Funktion zur Anzeige der Beitragskategorien (aus dem Widget "categories.php" hierher kopiert):</p>

<?php
	function FillWidgetCats()
	{
		global $indexFile;
		global $catSums;

		echo '<ul>';
		foreach ($catSums as $cat => $n)
		{
			echo '<li><a href="./' . $indexFile . '?cats=' . $cat . '">' . $cat . '</a> (' . $n . ')</li>';
		}
		echo '</ul>';
	}

	FillWidgetCats();
?>

</div>
